<?php
/**
 * $Horde: whups/templates/savedqueries.inc,v 1.13 2006/01/01 21:12:16 jan Exp $
 *
 * Copyright 2001-2006 Robert E. Coyle <robertecoyle@hotmail.com>
 * Copyright 2001-2006 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 *
 * @package Whups
 */
class SavedQueries {

    function render($title, $renderer, $results)
    {
        if (!count($results)) {
            return;
        }
?>
<h1 class="header">
 <?php echo $title ?>
</h1>
<table cellspacing="0" width="100%" class="headerbox linedRow">
<?php
        $this->results($results);
        echo '</table><br class="spacer" />';
    }

    function results($results)
    {
        foreach ($results as $id => $query) {
            echo '<tr><td>' .
                Horde::link(Horde::applicationUrl(Util::addParameter('runquery.php', 'query', $id)), $query->get('name')) . $query->get('name') . '</a></td></tr>';
        }
    }

}
