<?php
// If we have a saved list of ticket ids in the session, display the
// prev/next navigation.
if (isset($_SESSION['whups_tickets']) &&
    is_array($_SESSION['whups_tickets']) &&
    ($list_length = count($_SESSION['whups_tickets'])) > 1 &&
    ($this_ticket = array_search($ticket->getId(), $_SESSION['whups_tickets'])) !== false) {

    $prevnext_links = array();
    $details_page = Horde::applicationUrl('ticket/');
    if ($this_ticket != 0) {
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][0])) . htmlspecialchars(_("<<First")) . '</a>';
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][$this_ticket - 1])) . htmlspecialchars(_("<Prev")) . '</a>';
    }
    if ($this_ticket + 1 != $list_length) {
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][$this_ticket + 1])) . htmlspecialchars(_("Next>")) . '</a>';
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][$list_length - 1])) . htmlspecialchars(_("Last>>")) . '</a>';
    }
?>
<p class="greybox">
 <strong><?php printf(_("Search Results: %s of %s"), $this_ticket + 1, count($_SESSION['whups_tickets'])) ?></strong>
 <small>
  [ <?php echo implode(' ', $prevnext_links) ?> ]
  <?php if (!empty($_SESSION['whups_last_search'])): ?>
  [ <?php echo Horde::link($_SESSION['whups_last_search']) . _("Return to Search Results") ?></a> ]
  <?php endif; ?>
 </small>
</p>
<?php
}
